GOBGPD(1)

NAME
gobgpd - GoBGP daemon

DESCRIPTION

  Usage:

    gobgpd [OPTIONS]

  Application Options:

-f, --config-file=
    specifying a config file

-t, --config-type=
    specifying config type (toml, yaml, json) (default: toml)

-a, --config-auto-reload
    activate config auto reload on changes

-l, --log-level=
    specifying log level

-p, --log-plain
    use plain format for logging (json by default)

--disable-stdlog
    disable standard logging

--cpus=
    specify the number of CPUs to be used

--api-hosts=
    specify the hosts that gobgpd listens on (default: :50051)

-r, --graceful-restart
    flag restart-state in graceful-restart capability

-d, --dry-run
    check configuration

--pprof-host=
    specify the host that gobgpd listens on for pprof and metrics (default: localhost:6060)

--pprof-disable
    disable pprof profiling

--metrics-path=
    specify path for prometheus metrics, empty value disables them (default: /metrics)

--sdnotify
    use sd_notify protocol

--tls
    enable TLS authentication for gRPC API

--tls-cert-file=
    The TLS cert file

--tls-key-file=
    The TLS key file

--tls-client-ca-file= Optional TLS client CA file to authenticate clients
    against

--version
    show version number

--sentry-dsn=
    Sentry DSN

--sentry-environment= Sentry environment (default: development)

--sentry-sample-rate= Sentry traces sample rate (default: 1.0)

--sentry-debug
    Sentry debug mode

  Help Options:

-h, --help
    Show this help message